#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#
%define debug_package %{nil}

%define rel 1

Name: kde-dev-scripts
Summary: K Desktop Environment - Software Development Kit
Version: 17.12.2
Group: Graphical desktop/KDE
Release: %mkrel %{rel}
Epoch: 1
License: GPLv2 and LGPLv2 and GFDL
Source: http://download.kde.org/stable/applications/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires: kf5-macros
BuildRequires: kdoctools-devel
BuildRequires: libxml2-utils
BuildRequires: docbook-dtds
BuildRequires: docbook-style-xsl
BuildRequires: kdelibs4support-devel

%description

This package contains the scripts for KDE development which are contained in the
kdesdk module.

%files 
%_kf5_bindir/adddebug
%_kf5_bindir/build-progress.sh
%_kf5_bindir/cheatmake
%_kf5_bindir/krazy-licensecheck
%_kf5_bindir/c++-copy-class-and-file
%_kf5_bindir/c++-rename-class-and-file
%_kf5_bindir/create_cvsignore
%_kf5_bindir/create_makefile
%_kf5_bindir/create_makefiles
%_kf5_bindir/create_svnignore
%_kf5_bindir/cvs-clean
%_kf5_bindir/cvsaddcurrentdir
%_kf5_bindir/cvsbackport
%_kf5_bindir/cvsblame
%_kf5_bindir/cvscheck
%_kf5_bindir/cvsforwardport
%_kf5_bindir/cvslastchange
%_kf5_bindir/cvslastlog
%_kf5_bindir/cvsrevertlast
%_kf5_bindir/cvsversion
%_kf5_bindir/cxxmetric
%_kf5_bindir/draw_lib_dependencies
%_kf5_bindir/extend_dmalloc
%_kf5_bindir/extractattr
%_kf5_bindir/extractrc
%_kf5_bindir/findmissingcrystal
%_kf5_bindir/fix-include.sh
%_kf5_bindir/fixkdeincludes
%_kf5_bindir/fixuifiles
%_kf5_bindir/grantlee_strings_extractor.py
%_kf5_bindir/includemocs
%_kf5_bindir/kde_generate_export_header
%_kf5_bindir/kdedoc
%_kf5_bindir/kdekillall
%_kf5_bindir/kdelnk2desktop.py
%_kf5_bindir/kdemangen.pl
%_kf5_bindir/makeobj
%_kf5_bindir/noncvslist
%_kf5_bindir/nonsvnlist
%_kf5_bindir/package_crystalsvg
%_kf5_bindir/png2mng.pl
%_kf5_bindir/pruneemptydirs
%_kf5_bindir/qtdoc
%_kf5_bindir/reviewboard-am
%_kf5_bindir/svn-clean
%_kf5_bindir/svnbackport
%_kf5_bindir/svnchangesince
%_kf5_bindir/svngettags
%_kf5_bindir/svnintegrate
%_kf5_bindir/svnforwardport
%_kf5_bindir/svnlastchange
%_kf5_bindir/svnlastlog
%_kf5_bindir/svnrevertlast
%_kf5_bindir/svnversions
%_kf5_bindir/zonetab2pot.py
%_kf5_bindir/optimizegraphics
%_kf5_bindir/wcgrep
%_kf5_bindir/kde-systemsettings-tree.py
%_kf5_bindir/uncrustify-kf5
%_kf5_datadir/uncrustify/
%_kf5_mandir/man1/adddebug.1.*
%_kf5_mandir/man1/cheatmake.1.*
%_kf5_mandir/man1/create_cvsignore.1.*
%_kf5_mandir/man1/create_makefile.1.*
%_kf5_mandir/man1/create_makefiles.1.*
%_kf5_mandir/man1/cvscheck.1.*
%_kf5_mandir/man1/cvslastchange.1.*
%_kf5_mandir/man1/cvslastlog.1.*
%_kf5_mandir/man1/cvsrevertlast.1.*
%_kf5_mandir/man1/cxxmetric.1.*
%_kf5_mandir/man1/extend_dmalloc.1.*
%_kf5_mandir/man1/extractrc.1.*
%_kf5_mandir/man1/fixincludes.1.*
%_kf5_mandir/man1/pruneemptydirs.1.*
%_kf5_mandir/man1/qtdoc.1.*
%_kf5_mandir/man1/reportview.1.*
%_kf5_mandir/man1/transxx.1.*
%_kf5_mandir/man1/zonetab2pot.py.1.*
%_kf5_mandir/*/man1/*

#------------------------------------------------------------------------------

%prep
%setup -q 

%build
export LD=/usr/bin/ld.gold
%cmake_kf5
%make

%install
%makeinstall_std -C build

# (nl) Prefer the file from colorsvn as it is more up to date
# and this removing fix a conflict between kde-dev-scripts and colorsvn
rm -f %buildroot%{_kf5_bindir}/colorsvn


%changelog
* Sat Feb 17 2018 neoclust <neoclust> 1:17.12.2-1.mga6
+ Revision: 1202246
- New version 17.12.2
- New version 17.12.1

* Wed Mar 08 2017 neoclust <neoclust> 1:16.12.3-1.mga6
+ Revision: 1090042
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 1:16.12.0-1.mga6
+ Revision: 1076778
- New version 16.12.0

* Sun Dec 04 2016 neoclust <neoclust> 1:16.11.90-1.mga6
+ Revision: 1071990
- New version 16.11.90

* Tue Nov 15 2016 neoclust <neoclust> 1:16.08.3-1.mga6
+ Revision: 1067308
- New version 16.08.3

* Mon Oct 17 2016 neoclust <neoclust> 1:16.08.2-1.mga6
+ Revision: 1061367
- New version 16.08.2

* Thu Sep 08 2016 neoclust <neoclust> 1:16.08.1-1.mga6
+ Revision: 1050634
- New version 16.08.1

* Sat Aug 20 2016 neoclust <neoclust> 1:16.08.0-1.mga6
+ Revision: 1047266
- New version 16.08.0

* Sat Jul 09 2016 neoclust <neoclust> 1:16.04.3-1.mga6
+ Revision: 1040029
- New version 16.04.3
- New version 16.04.2

* Wed May 11 2016 neoclust <neoclust> 1:16.04.1-1.mga6
+ Revision: 1012519
- New version 16.04.1

* Fri Apr 22 2016 neoclust <neoclust> 1:16.04.0-1.mga6
+ Revision: 1004309
- New version 16.04.0

* Thu Mar 24 2016 neoclust <neoclust> 1:16.03.80-1.mga6
+ Revision: 994843
- New version 16.03.80

* Wed Mar 16 2016 neoclust <neoclust> 1:15.12.3-1.mga6
+ Revision: 991158
- New version 15.12.3

* Tue Mar 08 2016 neoclust <neoclust> 1:15.12.2-1.mga6
+ Revision: 987427
- New version 15.12.2

* Wed Jan 13 2016 neoclust <neoclust> 1:15.12.1-1.mga6
+ Revision: 922596
- New version 15.12.1

* Sat Dec 19 2015 neoclust <neoclust> 1:15.12.0-1.mga6
+ Revision: 911984
- New version 15.12.0

* Mon Nov 23 2015 neoclust <neoclust> 1:15.11.80-1.mga6
+ Revision: 905442
- New version 15.11.80

* Wed Nov 11 2015 neoclust <neoclust> 1:15.08.3-1.mga6
+ Revision: 902508
- New version 15.08.3
- New version 15.08.2
- New version 15.08.1

* Thu Aug 20 2015 neoclust <neoclust> 1:15.08.0-1.mga6
+ Revision: 866282
- New version 15.08.0

* Thu Jul 30 2015 lmenut <lmenut> 1:15.07.80-1.mga6
+ Revision: 859156
- Update to KDE Applications 15.08 Beta

* Wed Dec 03 2014 lmenut <lmenut> 1:4.14.3-1.mga5
+ Revision: 800574
- Update to KDE SC 4.14.3

* Sat Oct 18 2014 lmenut <lmenut> 1:4.14.2-1.mga5
+ Revision: 787660
- Update to KDE SC 4.14.2

* Wed Oct 15 2014 umeabot <umeabot> 1:4.14.1-2.mga5
+ Revision: 749647
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 lmenut <lmenut> 1:4.14.1-1.mga5
+ Revision: 734522
- Update to KDE SC 4.14.1

* Tue Sep 16 2014 umeabot <umeabot> 1:4.14.0-2.mga5
+ Revision: 680970
- Mageia 5 Mass Rebuild

* Mon Aug 25 2014 lmenut <lmenut> 1:4.14.0-1.mga5
+ Revision: 667460
- Update to KDE SC 4.14.0
- Use official URL http://download.kde.org for Source

* Fri Aug 15 2014 lmenut <lmenut> 1:4.13.97-1.mga5
+ Revision: 662971
- Update to KDE SC 4.13.97 aka KDE SC 4.14 RC

* Sat Jul 26 2014 lmenut <lmenut> 1:4.13.95-1.mga5
+ Revision: 656649
- Update to KDE SC 4.13.95 aka KDE SC 4.14 Beta3

* Sat Jul 19 2014 lmenut <lmenut> 1:4.13.90-1.mga5
+ Revision: 653835
- Update to KDE SC 4.13.90 aka KDE SC 4.14 Beta2

* Mon Jul 14 2014 lmenut <lmenut> 1:4.13.80-1.mga5
+ Revision: 651940
- Update to KDE SC 4.13.80 aka KDE SC 4.14 Beta1

* Sun Jun 15 2014 lmenut <lmenut> 1:4.13.2-1.mga5
+ Revision: 636709
- Update to KDE SC 4.13.2

* Sat May 24 2014 lmenut <lmenut> 1:4.13.1-1.mga5
+ Revision: 625476
- Update to KDE SC 4.13.1

* Thu Apr 17 2014 lmenut <lmenut> 1:4.13.0-1.mga5
+ Revision: 615549
- Update to KDE SC 4.13.0

* Sat Mar 29 2014 lmenut <lmenut> 1:4.12.97-1.mga5
+ Revision: 609369
- Update to KDE SC 4.12.97 aka KDE SC 4.13 RC

* Sun Mar 23 2014 lmenut <lmenut> 1:4.12.95-1.mga5
+ Revision: 606810
- Update to KDE SC 4.12.95 aka KDE SC 4.13 Beta3

* Thu Mar 13 2014 neoclust <neoclust> 1:4.12.90-1.mga5
+ Revision: 603304
- New version 4.12.80

* Fri Mar 07 2014 neoclust <neoclust> 1:4.12.80-1.mga5
+ Revision: 600652
- New version 4.12.80
- New version 4.12.3

* Wed Feb 19 2014 lmenut <lmenut> 1:4.12.2-1.mga5
+ Revision: 594871
- Fix files list

  + neoclust <neoclust>
    - New version 4.12.2

* Tue Feb 11 2014 neoclust <neoclust> 1:4.11.5-1.mga5
+ Revision: 589271
- New version 4.11.5

* Wed Dec 04 2013 lmenut <lmenut> 1:4.11.4-1.mga4
+ Revision: 554969
- Update tarball to KDE SC 4.11.4

* Thu Nov 14 2013 lmenut <lmenut> 1:4.11.3-1.mga4
+ Revision: 551238
- Update tarball to KDE SC 4.11.3

* Mon Oct 21 2013 umeabot <umeabot> 1:4.11.2-2.mga4
+ Revision: 540379
- Mageia 4 Mass Rebuild

* Thu Oct 03 2013 mikala <mikala> 1:4.11.2-1.mga4
+ Revision: 490822
- Update tarball to KDE SC 4.11.2

* Mon Sep 09 2013 mikala <mikala> 1:4.11.1-1.mga4
+ Revision: 476903
- Update tarball to KDE SC 4.11.1

* Sat Aug 10 2013 mikala <mikala> 1:4.11.0-1.mga4
+ Revision: 465243
- Update tarball to KDE SC 4.11.0

* Sat Jul 27 2013 lmenut <lmenut> 1:4.10.97-1.mga4
+ Revision: 458883
- Update tarball to KDE SC 4.10.97 aka KDE SC 4.11 RC2

* Wed Jul 17 2013 lmenut <lmenut> 1:4.10.95-1.mga4
+ Revision: 455273
- Update tarball to KDE SC 4.10.95 aka KDE SC 4.11 RC1
- Fix files list

* Fri Jun 28 2013 mikala <mikala> 1:4.10.90-1.mga4
+ Revision: 448017
- Update tarball to KDE SC 4.10.90 aka KDE SC 4.11 Beta 2
- imported package kde-dev-scripts

  + lmenut <lmenut>
    - Add missing conflicts

